React Native初探

  • 时间:
  • 浏览:0
  • 来源:大发5分6合_大发5分6合官方

查看npm版本号:

安装完成后在cmd中输入 npm -v 回车,如下图:

安装路径:

在刚创建的rn项目根目录,打开命令行,输入react-native run-android命令,如图所示:

执行npm view yarn version 查看yarn版本号,当前的版本号为1.7.0

执行 yarn -v 查看安装的yarn版本号,我当前的版本为1.7.0

执行yarn --version 查看安装的yarn版本号,我当前的版本为1.7.0

1、yarn官网下载yarn安装包:

SDK和安卓模拟器:

(七)Invariant Violation:Applicaction 你的项目名称 has not been registered.This is either due to a require() error during initialization or failure to call AppRegistry.registerCommponent.

安装:

配置环境变量:

否则打开另另另1个项目目录,打开cmd命令行输入以下命令创建工程:

Android Studio的下载地址请看:https://developer.android.google.cn/studio/#downloads

安装法律依据 :指定安装路径,经常点击下一步就能前会 了。

yarn官网 https://yarnpkg.com/zh-Hans/

肯能官网打不开,能前会 查看中文网:

yarn中文网 https://yarn.bootcss.com/

我这里选用的版本是1.7.0,愿意前会 选用什么都有有版本,下载好了另另另1个,双击安装,否则把yarn安装路径配置path环境变量中。

通过msi安装的,能前会 卸载旧版本的yarn,否则官网下载新版的yarn,否则安装。

【注意】通过msi安装的yarn暂且会覆盖通过npm安装的yarn,两者并肩位于。卸载的话,也是分开卸载的。

这个 问题报告 一般是配置的问题报告 ,处理法律依据 如下,确保registerComponent(参数1)getMainComponentName()返回值这另另另1个保持一致就OK:

(2)相关命令:

2、使用npm工具下载yarn:

(一)问题报告 1 The development server returned response error code: 50

JDK下载地址:http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html

下载好另另另1个,克隆node的安装路径,在path中添加node环境变量。

图示如下:

3、升级yarn版本号:

双击,指定路径,下一步就能前会 完成安装了。

图示如下,我当前的react-native-cli版本号为2.0.1:

这类:

【建议】

官网地址:

2.加快react native启动的几种法律依据 :

使用命令npm install -g yarn就能前会 安装yarn了。

(二)问题报告 2 关于命令行提示gradle的一次错

建议:把项目上边的android目录导入到Android Studio,让Android Studio工具帮你自动构建。

能前会 使用脚本打开,

Android Studio

通过npm命令安装的,能前会 有以下几种法律依据 选用:

(五)肯能第四步的问题报告 还如此 处理,建议使用以下法律依据 创建和安装应用:(这个 又是这个 构建法律依据 ,和rn很糙区别,能前会 玩一下,但不建议学这个 。)

Node官网: https://nodejs.org/

肯能官网打不开,能前会 看nodejs中文官网 https://nodejs.org/zh-cn/

安装地址:

打开Android Studio,File --> Settings --> 搜索sdk,找到对应的sdk进行安装即可,这里前会 前会 选用安装模拟器,找到对应的勾选进行下载即可。

必须在Path环境变量中添加另另另1个值。分别是 Android SDK中tools目录的路径和platform-tools的路径。(肯能肯能配置,就前会再去配置了。)

这类:

我这里用的版本是2.7.13,下载地址:https://www.python.org/downloads/release/python-2713/

查看python安装版本:

错误如图所示:

输入python命令即可。

(一)使用命令行创建新项目

好多人说rn好用,经常要推荐我用,愿意不信了,来安装玩一下试试效果。实践出真知!安装过程各种坑,工具太多了,太麻烦了,差点放弃(还好坚持下来呢)。

(1)安装法律依据 有以下这个 :

查看node版本号:

示这类下:

(四)肯能模拟器上运行项目经常出现"Unable to load script from assets 'index.android.bundle'.Make sure your bundle is packaged correctly or you are running a package server."另另另1个的错误缘何处理?

处理法律依据 :

1.进入\android\app\src\main目录,新建assets文件夹。

2.进入项目根目录cmd运行以下命令:

react native中文网 https://reactnative.cn/

安装命令:

根路径上边的index.js文件打开,请看AppRegistry.registerComponent('rn_demo', () => App); 我这里括号内参数1为rn_demo,和项目根路径名称是一致的。

在cmd中输入 npm -v 回车,如下图:

示这类下:

处理法律依据 :

在刚创建的项目的根目录运行下列代码:

首先执行yarn remove babel-preset-react-native,否则再执行yarn add babel-preset-react-native@2.1.0

什么都有有前端工具的安装都依赖于node的包管理器npm

使用react-native init 项目名称创建项目,如图所示:

※【说明】npm工具是nodejs上边自带的,什么都有有假如有一天配置了nodejs环境变量就OK了,前会须单独配置npm到环境变量。

(二)手动打开安卓模拟器

另另另1个是npm命令:npm install --save react-native@0.56.0

愿意使用yarn命令替代:yarn add react-native@0.56.0

react native版本问题报告 ,建议下载react-native 0.55.4版本,以及react-native-cli 1.2.0 版本,具体操作如下:

打开cmd命令行,逐个输入以下命令:

下载:

JDK必须配置另另另1个环境变量:(肯能已配置就前会再配置)

运行成功如下图所示:

添加环境变量, 示这类下:

(三)问题报告 3 RN默认是用的gradle3.5构建的,什么都有有建议使用AS2.3.X版本(否则必须大于3.0.0版本)导入项目。我用的是AS3.1.3,gradle构建成功的,否则命令行执行react-native run-android命令经常报各种错,问了别人也找必须处理方案,肯能是RN对高版本的AS工具以及高版本的gradle不兼容吧。

(二)编译并运行 React Native 应用

1.安装完 yarn 另另另1个就能前会 用 yarn 代替 npm 了,这类用yarn代替npm install命令,用yarn add 某第三方库名代替npm install --save 某第三方库名

添加环境变量:

打开目录/android/app/src/main/java/com/项目名/MainActivity.java,找到getMainComponentName()法律依据 ,我这里返回的是rn_demo1,事实上我项目根路径名字叫做rn_demo。我只必须改成rn_demo就好了。

(六)Unable to resolve module 'AccessibilityInfo'